Vue.component('education-list', {
	template: '<ul class="consultation-list">\
				<li v-for="(list,index) in eduList" class="consultation-list-item" @click="viewDetail(list.articleId)">\
					<div class="edu-posi-re">\
						<div class="edu-title">{{list.attachedTitle}}</div>\
						<div class="edu-time">发送时间：{{list.createTime}}</div>\
					</div>\
					<div class="follow-user-info leave-word-container">\
						<span class="edu-status" :data-status="list.isread" desc="0未读1已读"></span>\
						<p class="leave-word">医生留言:{{list.leaveWords?list.leaveWords:"无"}}</p>\
					</div>\
				</li>\
			</ul>',
	data: function() {
		return {
			eduList: "",
			curPage:1
		}
	},
	props:["eduData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      title: '文章详情',
		      area: ['1000px', '600px'],
		      shadeClose: false,
		      content: '../html/lay_edu_article_detail.html?articleId='+id
		    });
		}
	},
	watch:{
		eduData:function(val){
			this.eduList=this.eduData;
		}
	},
	mounted: function() {
		var divH = $("#tab-iframe",parent.document).height() - 75;
		$(".consultation-list").slimScroll({ height: divH,color: '#666'});
	}
})